#makefile for lf.c to run under Windows 3.x
#compile under small model assume ds=ss

OBJECTS = lf.obj lfwin.obj synan.obj alloca.obj xmalloc.obj
CFLAGS = -O -G -ms -W -H
CPATH = f:\c

lf.exe : $(OBJECTS) lf.def lf.res
        bcc $(CFLAGS) -elf $(OBJECTS)
        rc lf.res

lf.res : lf.rc lf.cur lf.ico lf.dlg lfwin.h lfdlg.h
        rc -r -i$(CPATH)\include\ lf.rc

lf.obj : lf.c lf.h

lfwin.obj : lfwin.c lfwin.h

synan.obj : synan.c synan.y atree.h
        bcc $(CFLAGS) -DWINDOWS -c synan.c

xmalloc.obj: xmalloc.c

alloca.obj : alloca.c

.c.obj:
        BCC $(CFLAGS) -c $<
